######################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  %Z%  %M%  %I%  Delta: %G%
######################################################################

database standard

globals
    define

        ##############################################################
        # Codegen area
        ##############################################################
        # Global variables in this section will be overwritten
        # during a re-generation of source code.
        # Place any custom global variables above this section.
        # Don't remove these comments.  The codegenerator keys on them.
        #
        m_rcntrc record like strcntrc.*, # record like the control table
        m_rshipr record like strshipr.*, # Record like the detail table
        p_rshipr array[100] of record    # Record like the detail screen
            ship_to_code like strshipr.ship_to_code,
            bus_name like strshipr.bus_name,
            taxable like strshipr.taxable,
            contact like strshipr.contact,
            phone like strshipr.phone,
            address1 like strshipr.address1,
            address2 like strshipr.address2,
            city like strshipr.city,
            state like strshipr.state,
            zip like strshipr.zip,
            country like strshipr.country,
            sls_psn_code like strshipr.sls_psn_code,
            sls_psn_desc char(30),
            comm_code like strshipr.comm_code,
            comm_desc char(30),
            trd_ds_code like strshipr.trd_ds_code,
            trd_ds_desc char(30),
            st_tx_code like strshipr.st_tx_code,
            co_tx_code like strshipr.co_tx_code,
            ci_tx_code like strshipr.ci_tx_code
        end record,
        q_rshipr array[100] of record   # Parallel detail record
            row_id integer   # SQL rowid
        end record,
        scr1_max smallint,   # Number of elements in screen array 1
        rec1_max smallint,   # Number of elements in record array 1
        rec1_cnt smallint,  # Number of active elements in array 1
        m_rcustr record like strcustr.*,  # Record like the header table
        p_rcustr record   # Record like the header screen
            cust_code like strcustr.cust_code,
            bus_name like strcustr.bus_name,
            contact like strcustr.contact,
            phone like strcustr.phone,
            address1 like strcustr.address1,
            address2 like strcustr.address2,
            city like strcustr.city,
            state like strcustr.state,
            zip like strcustr.zip,
            country like strcustr.country,
            stmt_date like strcustr.stmt_date,
            taxable like strcustr.taxable,
            stmt_amount like strcustr.stmt_amount,
            terms_code like strcustr.terms_code,
            terms_desc like strtermr.terms_desc,
            last_pay_date like strcustr.last_pay_date,
            act_grp like strcustr.act_grp,
            grp_desc like stxactgr.grp_desc,
            acct_bal like strcustr.acct_bal,
            ar_acct_dflt like strcustr.ar_acct_dflt,
            ar_department_dflt like strcustr.ar_department_dflt,
            on_acct_amt like strcustr.on_acct_amt,
            pay_method like strcustr.pay_method,
            exp_date like strcustr.exp_date,
            credit_limit like strcustr.credit_limit,
            trd_ds_code like strcustr.trd_ds_code,
            trd_ds_desc char(30),
            stmt_cycle like strcustr.stmt_cycle,
            sls_psn_code like strcustr.sls_psn_code,
            sls_psn_desc char(30),
            ar_type like strcustr.ar_type,
            comm_code like strcustr.comm_code,
            comm_desc char(30),
            fin_chg like strcustr.fin_chg,
            card_no like strcustr.card_no,
            card_holder like strcustr.card_holder,
            st_tx_code like strcustr.st_tx_code,
            co_tx_code like strcustr.co_tx_code,
            ci_tx_code like strcustr.ci_tx_code
        end record,
        q_rcustr record   # Parallel header record
            row_id integer  # SQL rowid
        end record,

        ###############################################################
        # Library communication area 3.51.00
        ###############################################################
        # Global variables in this section should not be changed.
        # They are used to communicate to the screen library functions,
        # and must be of the same type as defined in the library.
        # Don't remove these comments.  The codegenerator keys on them.
        #
        progid       char(17),   # Program identification
        scr_id       char(7),    # Current screen id
        menu_item    char(10),   # Current menu item running
        scr_funct    char(20),   # Current screen function being run
        sql_filter   char(512),  # Filter portion of SQL statement
        sql_order    char(100),  # Order portion of SQL statement
        input_num    smallint,   # Current input section within screen
        p_cur        smallint,   # Current input array element
        s_cur        smallint,   # Current screen array element
        scr_fld      char(40),   # Current screen field
        nxt_fld      char(40),   # Programmatic next screen field
        prev_data    char(80),   # Data before field entry
        this_data    char(80),   # Data after field entry
        data_changed smallint,   # Has the field data changed?
        hotkey       smallint,   # The hot key that has been pressed
        scratch      char(2047)  # Scratchpad for scribbling on and
                                 # communicating between functions
        # End library communication area
        ###############################################################

end globals
