######################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  %Z%  %M%  %I%  Delta: %G%
######################################################################

globals "globals.4gl"

######################################################################
main
######################################################################
#
    # Trap fatal errors
    whenever error call error_handler

    clear screen
    defer interrupt
    let progid = "ar.i_custr"
    call put_scrlib("version", "3.51.00")
    call put_scrlib("dbname", "standard")

    open window win1 at 2,3 with 22 rows, 76 columns
      attribute (border, blue)
    call init()

    clear window win1
    open window win2 at 2,3 with 22 rows, 76 columns
      attribute (white)
    open form screen1 from "screen"
    let scr1_max = 1
    let rec1_max = 100
    let rec1_cnt = 0

    call rcontrol() returning m_rcntrc.*
    if m_rcntrc.ar_balanced != "Y" or m_rcntrc.ar_balanced is null
    then                                    # setup is not complete
      if not table_exist("stocntrc")      # o/e is not installed
      then
        open form screen1 from "scr2_ar"
      else                                # o/e is installed
        open form screen1 from "scr2_oe"
      end if
    else                                    # setup is complete
      if not table_exist("stocntrc")        # o/e is not installed
      then
        open form screen1 from "scr1_ar"
      else                                  # o/e is installed
        open form screen1 from "scr1_oe"
      end if
    end if

    display form screen1
    call ring_header()
    exit program (0)
end main

######################################################################
function switchbox(funct)
######################################################################
# This is the switchbox function for version 3.0+ screens.
# It is used to pass flow control to the appropriate screen functions.
#
    define
        funct char(20)   # Function to pass on to the screen

    # Post the current function
    let scr_funct = funct

    # Pass flow control to the appropriate screen
    case
      when scr_id = "artermz" call artermz()
      when scr_id = "chrtz" call chrtz()
      when scr_id = "actgrpz" call actgrpz()
      when scr_id = "paymtdz" call paymtdz()
      when scr_id = "taxz" call taxz()
      when scr_id = "taxz" call taxz()
      when scr_id = "taxz" call taxz()
      when scr_id = "discz" call discz()
      when scr_id = "slspsnz" call slspsnz()
      when scr_id = "commz" call commz()
      when scr_id = "deptz" call deptz()
      when scr_id = "default" call lib_screen()
      when scr_id = "shiptod" call shiptod()
      when scr_id = "aractvz" call aractvz()
      when scr_id = "ariactz" call ariactz()
      when scr_id = "arinvcz" call arinvcz()
      when scr_id = "cractvz" call cractvz()
      otherwise let scratch = "no screen"
    end case

    # Reset scr_funct upon return
    let scr_funct = ""

end function
# switchbox()
